Browse Source

Update lower-constraints for new pip

This patch bump a series of lower-constraints and
requirements to work with new pip resolver. For
more information please refer [1]. It also fix some
pep8 issues.

[1] http://lists.openstack.org/pipermail/openstack-discuss/2020-December/019285.html

Change-Id: I0ce1e41b6e064866ef1e5e7cf8c55bb8a2cc5963
changes/91/766891/6
manchandavishal 8 months ago
parent
commit
a09bcb0623
  1. 11
      lower-constraints.txt
  2. 1
      setup.cfg
  3. 6
      test-requirements.txt
  4. 1
      tools/install_venv.py
  5. 2
      tox.ini

11
lower-constraints.txt

@ -12,7 +12,7 @@ contextlib2==0.5.5
coverage==4.0
cryptography==2.1.4
debtcollector==1.19.0
decorator==4.2.1
decorator==4.4.1
deprecation==2.0
Django==2.2
django-appconf==1.0.2
@ -25,9 +25,8 @@ dulwich==0.19.0
extras==1.0.0
fasteners==0.14.1
fixtures==3.0.0
flake8==2.5.5
futurist==1.6.0
hacking==0.12.0
hacking==4.0.0
horizon==17.1.0
idna==2.6
imagesize==1.0.0
@ -37,10 +36,10 @@ jmespath==0.9.3
jsonpatch==1.21
jsonpointer==2.0
jsonschema==2.6.0
keystoneauth1==3.4.0
keystoneauth1==3.18.0
linecache2==1.0.0
MarkupSafe==1.0
mccabe==0.2.1
mccabe==0.6.0
monotonic==1.4
msgpack==0.5.6
munch==2.2.0
@ -66,7 +65,7 @@ pep8==1.5.7
Pint==0.8.1
prettytable==0.7.2
pycparser==2.18
pyflakes==2.1.1
pyflakes==2.2.0
Pygments==2.2.0
pyinotify==0.9.6
pymongo==3.6.1

1
setup.cfg

@ -16,6 +16,7 @@ classifier =
Programming Language :: Python :: 3
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
Programming Language :: Python :: 3.8
[files]

6
test-requirements.txt

@ -7,11 +7,7 @@
# be installed in a specific order.
#
# Hacking should appear first in case something else depends on pep8
hacking>=1.1.0,<1.2.0 # Apache-2.0
# remove this pyflakes from here once you bump the
# hacking to 3.2.0 or above. hacking 3.2.0 takes
# care of pyflakes version compatibilty.
pyflakes>=2.1.1
hacking>=4.0.0,<4.1.0 # Apache-2.0
coverage!=4.4,>=4.0 # Apache-2.0
nodeenv>=0.9.4 # BSD

1
tools/install_venv.py

@ -67,5 +67,6 @@ def main(argv):
install.install_dependencies()
print_help(venv, root)
if __name__ == '__main__':
sys.exit(main(sys.argv))

2
tox.ini

@ -34,7 +34,7 @@ commands = flake8 {posargs}
[flake8]
# F405 TEMPLATES may be undefined, or defined from star imports
# (because it is not easy to avoid this in openstack_dashboard.test.settings)
ignore = F405
ignore = F405,W504
exclude = .git,.tox,dist,*lib/python*,*egg,build,panel_template,dash_template,local_settings.py,*/local/*,*/test/test_plugins/*,.ropeproject,node_modules
max-complexity = 20

Loading…
Cancel
Save